import request from '@/utils/request'
import Qs from 'qs';

//提交
export function add(data) {
	
	return request({
		url: '/mobile/doc/add' ,
		data: data,
		method: 'post',
		headers: {
		    "Content-Type": "application/json"
		}
	})
}

//提交
export function updateTemplateFlag(data) {
	
	return request({
		url: '/mobile/doc/updateTemplateFlag' ,
		data: data,
		method: 'post',
		headers: {
		    "Content-Type": "application/json"
		}
	})
}


export function update(data) {
	return request({
		url: '/mobile/doc/update' ,
		data: data,
		method: 'post',
		headers: {
		    "Content-Type": "application/json"
		}
	})
}


export function pageList(data) {
	return request({
		url: '/mobile/doc/pageList' ,
		data: Qs.stringify(data),
		method: 'post',
	})
}

export function checkPageList(data) {
	return request({
		url: '/mobile/doc/checkPageList' ,
		data: Qs.stringify(data),
		method: 'post',
	})
}


export function fileCatalogueList() {
	return request({
		url: '/mobile/docFileSharingApi/fileCatalogueList' ,
	//	data: Qs.stringify(data),
		method: 'post',
	})
}

export function fileList(data) {
	return request({
		url: '/mobile/docFileSharingApi/fileList' ,
		data: Qs.stringify(data),
		method: 'post',
	})
}

export function checkSubmit(data) {
	return request({
		url: '/mobile/doc/checkSubmit' ,
		data: Qs.stringify(data),
		method: 'post',
	})
}

export function loadLastStepPerson(data) {
	return request({
		url: '/mobile/doc/loadLastStepPerson/'+data ,
		//data: Qs.stringify(data),
		method: 'get',
	})
}



export function edit(data) {
	return request({
		url: '/mobile/doc/edit/'+data ,
		//data: Qs.stringify(data),
		method: 'get',
	})
}


export function findDepartmentAndPerson(data) {
	var url= '/mobile/doc/findDepartmentAndPerson/'
	if(data){
		 url= '/mobile/doc/findSecondDepartmentAndPerson/'
	}
	return request({
		url: url ,
		data: Qs.stringify({
			companyId:data
		}),
		method: 'post',
	})
}

export function findDocName(data) {
	return request({
		url: '/mobile/doc/findDocName/' ,
		data: Qs.stringify(data),
		method: 'post',
	})
}