
const routes = [
	//用户基础页面
	{
		path: '/oa',
		component: () => import('../views/Layout.vue'),
		children: [
			//我的
			{
				path: 'document',
				component: () => import('../views/Layout.vue'),
				children: [
					//编辑文件
					{
						path: 'Form',
						name: 'OaDocumentForm',
						component: () => import('../views-oa/Document/Form.vue'),
						meta: {
							title: '编辑文件',
						}
					},
					//查看文件
					{
						path: 'Info',
						name: 'OaDocumentInfo',
						component: () => import('../views-oa/Document/Info.vue'),
						meta: {
							title: ' 查看文件',
						}
					},
					//列表文件
					{
						path: '',
						name: 'OaDocumentList',
						component: () => import('../views-oa/Document/List.vue'),
						meta: {
							title: '列表文件',
						}
					},
					//列表文件
					{
						path: 'ListTemplate',
						name: 'OaDocumentListTemplate',
						component: () => import('../views-oa/Document/ListTemplate.vue'),
						meta: {
							title: '列表文件',
						}
					},
					//列表文件
					{
						path: 'Browse',
						name: 'OaDocumentBrowse',
						component: () => import('../views-oa/Document/Browse.vue'),
						meta: {
							title: '公文浏览',
						}
					},
					//列表文件
					{
						path: 'VerifyInfo',
						name: 'OaDocumentVerifyInfo',
						component: () => import('../views-oa/Document/VerifyInfo.vue'),
						meta: {
							title: '公文审批详情',
						}
					},
					//列表文件
					{
						path: 'VerifyList',
						name: 'OaDocumentVerifyList',
						component: () => import('../views-oa/Document/VerifyList.vue'),
						meta: {
							title: '公文审批列表',
						}
					},
					//抄送文件
					{
						path: 'ViewList',
						name: 'OaDocumentViewList',
						component: () => import('../views-oa/Document/ViewList.vue'),
						meta: {
							title: '公文抄送列表',
						}
					},
				],
			}
			
			
		]
	},
]
export default routes