const routesOther = [
	//监管监测页面
	{
		path: '/other',
		component: () => import('../views/Layout.vue'),
		children: [
			{
				
				path: 'energy',
				component: () => import('../views/Layout.vue'),
				children: [
					{
						path: 'info',
						name: 'OtherEnergyInfo',
						component: () => import('../views/Other/Energy/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '能源中心',
						},
					},
					{
						path: 'info2',
						name: 'OtherEnergyInfo2',
						component: () => import('../views/Other/Energy/Info2.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '功率监测',
						},
					},
					{
						path: 'info3',
						name: 'OtherEnergyInfo3',
						component: () => import('../views/Other/Energy/Info3.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '电流监测',
						},
					},
					{
						path: 'info4',
						name: 'OtherEnergyInfo4',
						component: () => import('../views/Other/Energy/Info4.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '电压监测',
						},
					},
					{
						path: 'info5',
						name: 'OtherEnergyInfo5',
						component: () => import('../views/Other/Energy/Info5.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '同比分析',
						},
					},
					{
						path: 'info6',
						name: 'OtherEnergyInfo6',
						component: () => import('../views/Other/Energy/Info6.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '环比分析',
						},
					},
					{
						path: 'info7',
						name: 'OtherEnergyInfo7',
						component: () => import('../views/Other/Energy/Info7.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '异常波动',
						},
					},
				]
			},
			
			
			//返乡调查
			{
				path: 'return',
				component: () => import('../views/Layout.vue'),
				children: [
					//返乡调查问卷
					{
						path: 'questionnaire',
						name: 'OtherReturnQuestionnaire',
						component: () => import('../views/Other/Return/Questionnaire.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '返乡调查问卷',
						},
					},
					//返乡调查问卷成功页面
					{
						path: 'success',
						name: 'OtherReturnSuccess',
						component: () => import('../views/Other/Return/Success.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '返乡调查问卷成功页面',
						},
					},
					//返乡调查管理列表
					{
						path: 'list',
						name: 'OtherReturnList',
						component: () => import('../views/Other/Return/List.vue'),
						meta: {
							requireAuth: true,
							role: [],
							title: '返乡调查管理列表',
							mode: true
						},
					},
					//返乡调查管理详情
					{
						path: 'info',
						name: 'OtherReturnInfo',
						component: () => import('../views/Other/Return/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '返乡调查管理详情',
						},
					},
				]
			},
		],
	},
]

export default routesOther
